Skip to main content

Chat Session

POST /chat/visitor/id


URL Example

https://system_domain/api/v2/chat/visitor/id


This method is used to obtain the visitor chat session ID.
The session allows pulling up the user's request history and initializing the chat in webview.

The session ID lifetime is 8 hours.


Request Body Parameters (form-data)

ParameterTypeRequiredDescription
emailstringYesUser's email
namestringNoUser's name
phonestringNoUser's phone number

Request Body Example (form-data)

KeyValue
email[email protected]
nameJohn
phone+1 (718) 555-5678

Response Example
{
"data": {
"id": "63f49dd9-0018-4f78-929c-0ffb056ff3d1",
"expires": "1760729342"
}
}

Using the Session ID

This ID must be inserted into the webview link: https://system_domain/ru/omnichannel/chat/?id=63f49dd9-0018-4f78-929c-0ffb056ff3d1

The session ID is updated with each API request for a session.